from django.shortcuts import render
from main.models import alarmierung_SW, fahrzeug, leitstelle, alarmierung, feuerwehr

# Create your views here.
def index(request):
    return render(request, 'leitstelle/index.html')

def create(request):
    sw_request = alarmierung_SW.objects.all().values_list()
    fz_request = fahrzeug.objects.all().order_by('Funkrufname').values_list()

    if request.method == "POST":
        print(request.POST)

        newAlarm = alarmierung()
        newAlarm.Stichwort = alarmierung_SW.objects.get(id=int(request.POST.get("stichwort")))
        newAlarm.ft = request.POST.get("freitext")
        # HINWEIS - NACHFOLGEND IST DAUERHAFT AUF "ALSFELD" GESTELLT DA NOCH KEINE AUSWAHL MÖGLICH
        newAlarm.Standort = feuerwehr.objects.get(id=1)
        fahrzeuge = request.POST.getlist("fz")
        print(fahrzeuge)
        newAlarm.fz = str(request.POST.getlist("fz"))
        newAlarm.save()

    return render(request, 'leitstelle/create.html', {'sw':sw_request, 'fz':fz_request})

def setStation(request):
    feuwehr_request = leitstelle.objects.all().order_by('name').values_list()
    return render(request, 'leitstelle/setStation.html', {'fw':feuwehr_request})